! simpletest for Fortran OpenMP:
! - get OpenMP standard version.
! - get number of procs available.
!
! Copyright © 2018 Andrew Savchenko
!
! This file is a part of simpletest.
!
! simpletest is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License version 3 as
! published by the Free Software Foundation
!
! simpletest is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License version 3 for more details.
!
! You should have received a copy of the GNU General Public License version 3
! along with simpletest. If not, see <http://www.gnu.org/licenses/>.
      
      program omp
      use omp_lib

      print *, "Supported OpenMP standard version: ", _OPENMP

      NPROCS = OMP_GET_NUM_PROCS()
      print *, "Number of CPUs available to OpenMP: ", NPROCS
      end program omp
