/*
 * simpletest for C OpenMP:
 * - get OpenMP standard version.
 * - get number of procs available.
 *
 * Copyright © 2018 Andrew Savchenko
 *
 * This file is a part of simpletest.
 *
 * simpletest is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation
 *
 * simpletest is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 3 for more details.
 *
 * You should have received a copy of the GNU General Public License version 3
 * along with simpletest. If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdio.h>
#include <omp.h>

int main() {
#if defined _OPENMP
    printf("Supported OpenMP standard version:\t%i\n", _OPENMP);
#endif
    printf("Number of CPUs available to OpenMP:\t%i\n", omp_get_num_procs());

    return 0;
}
